"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const badges_1 = require("./badges");
function create(argvs) {
    const sourcePath = path_1.default.resolve(process.cwd(), argvs.source);
    const svgPath = path_1.default.resolve(process.cwd(), argvs.output);
    if (!fs_extra_1.default.existsSync(sourcePath)) {
        console.log(`\x1b[31mErr Source Path:\x1b[0m ${path_1.default.relative(process.cwd(), sourcePath)}\n`, `> please specify the file directory\n`, `> \x1b[35mnpm\x1b[0m coverage-badges-cli \x1b[33m--source\x1b[0m coverage/coverage-summary.json`);
        return;
    }
    const source = require(sourcePath);
    const svgStr = (0, badges_1.badge)(argvs, source);
    fs_extra_1.default.ensureDirSync(path_1.default.dirname(svgPath));
    fs_extra_1.default.writeFileSync(svgPath, svgStr);
    console.log(`\nCoverage Badges: \x1b[32;1m${path_1.default.relative(process.cwd(), svgPath)}\x1b[0m\n`);
}
exports.create = create;
//# sourceMappingURL=create.js.map